org.red5.server.api.stream.support

## Class StreamUtils

- java.lang.Object
- - org.red5.server.api.stream.support.StreamUtils

    public abstract class StreamUtils
    extends Object

Stream helper methods.

Author:
  The Red5 Project (red5@osflash.org), Steven Gong (steven.gong@gmail.com), Paul Gregoire (mondain@gmail.com)

### Constructor Summary

Constructors
Constructor and Description
`StreamUtils()`

### Method Summary

Methods
`static IServerStream` `createServerStream(IScope scope, String name)` Creates server stream
`static IServerStream` `getServerStream(IScope scope, String name)` Looks up a server stream in the stream map.
`static void` `putServerStream(IScope scope, String name, IServerStream stream)` Puts a server stream in the stream map
`static void` `removeServerStream(IScope scope, String name)` Removes a server stream from the stream map

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StreamUtils

    public StreamUtils()

### Method Detail

#### createServerStream

    public static IServerStream createServerStream(IScope scope,
                                   String name)

Creates server stream

Parameters:
  `scope` - Scope of stream
  `name` - Name of stream
Returns:
  IServerStream object

#### getServerStream

    public static IServerStream getServerStream(IScope scope,
                                String name)

Looks up a server stream in the stream map. Null will be returned if the stream is not found.

Parameters:
  `scope` - Scope of stream
  `name` - Name of stream
Returns:
  IServerStream object

#### putServerStream

    public static void putServerStream(IScope scope,
                       String name,
                       IServerStream stream)

Puts a server stream in the stream map

Parameters:
  `scope` - Scope of stream
  `name` - Name of stream
  `stream` - ServerStream object

#### removeServerStream

    public static void removeServerStream(IScope scope,
                          String name)

Removes a server stream from the stream map

Parameters:
  `scope` - Scope of stream
  `name` - Name of stream